diff --git a/changelog b/changelog
index 8f37ad8..83cda96 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080523 tpd src/input/danzwill2.input MIT integration tests
 20080511 tpd src/input/schaum34.input post-mortem fixes
 20080508 tpd src/input/schaum18.input ignore gensyms
 20080508 tpd src/input/schaum17.input ignore gensyms
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index fdf2fff..9bd57b6 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -300,7 +300,8 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     constant.regress  contfrac.regress contfrc.regress \
     curl.regress      cwmmt.regress \
     cycles1.regress   cycles.regress   cyfactor.regress \
-    danzwill.regress  decimal.regress  defintef.regress defintrf.regress \
+    danzwill.regress  danzwill2.regress  \
+    decimal.regress   defintef.regress defintrf.regress \
     derham.regress    dfloat.regress   dhtri.regress    divisor.regress \
     dmp.regress       dpol.regress     e1.regress       ei.regress \
     easter.regress    efi.regress \
@@ -542,7 +543,8 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/cycles.input   ${OUT}/cycles1.input    ${OUT}/cycloid.input  \
        ${OUT}/cycloid2.input \
        ${OUT}/cycloid3.input ${OUT}/cyfactor.input   ${OUT}/damped.input \
-       ${OUT}/danzwill.input ${OUT}/decimal.input    ${OUT}/defs.input \
+       ${OUT}/danzwill.input ${OUT}/danzwill2.input \
+       ${OUT}/decimal.input    ${OUT}/defs.input \
        ${OUT}/defintef.input ${OUT}/defintrf.input   ${OUT}/derham.input \
        ${OUT}/de2re.input \
        ${OUT}/dfloat.input   ${OUT}/dhtri.input      ${OUT}/divisor.input \
@@ -768,6 +770,7 @@ DOCFILES= \
   ${DOC}/d02raf.input.dvi      ${DOC}/d03edf.input.dvi     \
   ${DOC}/d03eef.input.dvi      ${DOC}/d03faf.input.dvi     \
   ${DOC}/damped.input.dvi      ${DOC}/danzwill.input.dvi   \
+  ${DOC}/danzwill2.input.dvi   \
   ${DOC}/de2re.input.dvi       ${DOC}/decimal.input.dvi    \
   ${DOC}/defintef.input.dvi    ${DOC}/defintrf.input.dvi   \
   ${DOC}/defs.input.dvi        ${DOC}/derham.input.dvi     \
diff --git a/src/input/danzwill2.input.pamphlet b/src/input/danzwill2.input.pamphlet
new file mode 100644
index 0000000..d17eddb
--- /dev/null
+++ b/src/input/danzwill2.input.pamphlet
@@ -0,0 +1,605 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input danzwill2.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+Problems from the MIT Integration Bee
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+<<*>>=
+)spool danzwill2.output
+)set message test on
+)set message auto off
+)clear all
+)set break resume
+
+--S 1 of 17
+i1:= integrate(e^(1991*x),x)
+--R 
+--R
+--R          1991x log(e)
+--R        %e
+--R   (1)  --------------
+--R          1991log(e)
+--R                                          Type: Union(Expression Integer,...)
+--E 1
+
+--S 2 of 17
+i2:= integrate((sin(x)-cos(x))^2,x)
+--R 
+--R
+--R              2
+--R   (2)  cos(x)  + x
+--R                                          Type: Union(Expression Integer,...)
+--E 2
+
+--S 3 of 17
+i3:= integrate(log(x),x)
+--R 
+--R
+--R   (3)  x log(x) - x
+--R                                          Type: Union(Expression Integer,...)
+--E 3
+
+--S 4 of 17
+i4:= integrate(1/(%pi*x),x)
+--R 
+--R
+--R        log(x)
+--R   (4)  ------
+--R          %pi
+--R                                          Type: Union(Expression Integer,...)
+--E 4
+
+--S 5 of 17
+i5:= integrate(%e^(sin(x)^2)*%e^(cos(x)^2),x)
+--R 
+--R
+--R   (5)  x %e
+--R                                          Type: Union(Expression Integer,...)
+--E 5
+
+--S 6 of 17
+i6:= integrate(1/(x*log(x)),x)
+--R 
+--R
+--R   (6)  log(log(x))
+--R                                          Type: Union(Expression Integer,...)
+--E 6
+
+--S 7 of 17
+i7:= integrate(x/(x^4+1),x)
+--R 
+--R
+--R              2
+--R        atan(x )
+--R   (7)  --------
+--R            2
+--R                                          Type: Union(Expression Integer,...)
+--E 7
+
+--S 8 of 17
+i8:= integrate((x+1)/(x^2+2*x+2)^(1/3),x)
+--R 
+--R
+--R          +-----------+2
+--R         3| 2
+--R        3\|x  + 2x + 2
+--R   (8)  ----------------
+--R                4
+--R                                          Type: Union(Expression Integer,...)
+--E 8
+
+--S 9 of 17
+i9:= integrate(x*%e^x*sin(x),x)
+--R 
+--R
+--R            x                          x
+--R        x %e sin(x) + (- x + 1)cos(x)%e
+--R   (9)  --------------------------------
+--R                        2
+--R                                          Type: Union(Expression Integer,...)
+--E 9
+
+--S 10 of 17
+i10:= integrate(%e^(%e^x+x),x)
+--R 
+--R
+--R             x
+--R           %e  + x
+--R         %e
+--R   (10)  ---------
+--R              x
+--R            %e
+--R                                          Type: Union(Expression Integer,...)
+--E 10
+
+--S 11 of 17
+i11:= integrate(1/(sec(x)+tan(x)*sin(x)),x)
+--R 
+--R
+--R               (2cos(x) + 3)sin(x)             sin(x)
+--R   (11)  atan(---------------------) - atan(-----------)
+--R                    2                       2cos(x) + 2
+--R              cos(x)  + 2cos(x) + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 11
+
+--S 12 of 17
+i12:= integrate((%e^(5*x)+%e^(7*x))/(%e^x+%e^(-x)),x)
+--R 
+--R
+--R            x 6
+--R         (%e )
+--R   (12)  ------
+--R            6
+--R                                          Type: Union(Expression Integer,...)
+--E 12
+
+--S 13 of 17
+i13:= integrate(sqrt(-1+2/(1+3*x)),x)
+--R 
+--R
+--R                  +--------+             +--------+
+--R                  |- 3x + 1              |- 3x + 1
+--R         - 2atan( |-------- ) + (3x + 1) |--------
+--R                 \| 3x + 1              \| 3x + 1
+--R   (13)  ------------------------------------------
+--R                              3
+--R                                          Type: Union(Expression Integer,...)
+--E 13
+
+--S 14 of 17
+i14:= integrate(sinh(x)-cosh(x),x)
+--R 
+--R
+--R                 1
+--R   (14)  -----------------
+--R         sinh(x) + cosh(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 14
+
+--S 15 of 17
+i15:= integrate((sin(x)*%e^sec(x))/cos(x)^2,x)
+--R 
+--R
+--R              1
+--R           ------
+--R           cos(x)
+--R   (15)  %e
+--R                                          Type: Union(Expression Integer,...)
+--E 15
+
+--S 16 of 17
+i16:= integrate((x^2+1)/(x^4-x^2+1),x)
+--R 
+--R
+--R               3
+--R   (16)  atan(x ) + atan(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 16
+
+--S 17 of 17
+i17:= integrate(1/(%pi*x^2+atan(x)+x^2*atan(x)+%pi),x)
+--R 
+--R
+--R                    2x   2               2x          2
+--R         log(atan(------)  - 4%pi atan(------) + 4%pi )
+--R                   2                    2
+--R                  x  - 1               x  - 1
+--R   (17)  ----------------------------------------------
+--R                                2
+--R                                          Type: Union(Expression Integer,...)
+--E 17
+
+--S 18 of 18
+i18:= integrate(sec(x)^3,x)
+--R 
+--R
+--R   (18)
+--R         2    sin(x) + cos(x) + 1          2    sin(x) - cos(x) - 1
+--R   cos(x) log(-------------------) - cos(x) log(-------------------) + sin(x)
+--R                   cos(x) + 1                        cos(x) + 1
+--R   --------------------------------------------------------------------------
+--R                                           2
+--R                                    2cos(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 18
+ 
+--S 19 of 19 
+i19:= integrate(1/(x^2-10*x+26),x)
+--R 
+--R
+--R   (19)  atan(x - 5)
+--R                                          Type: Union(Expression Integer,...)
+--E 19 
+
+--S 20 of 20 
+i20:= integrate(1/(x^2-11*x-26),x)
+--R 
+--R
+--R         - log(x + 2) + log(x - 13)
+--R   (20)  --------------------------
+--R                     15
+--R                                          Type: Union(Expression Integer,...)
+--E 20 
+
+--S 21 of 21 
+i21:= integrate(1/(12+13*cos(x)),x)
+--R 
+--R
+--R             sin(x) + 5cos(x) + 5        sin(x) - 5cos(x) - 5
+--R         log(--------------------) - log(--------------------)
+--R                  cos(x) + 1                  cos(x) + 1
+--R   (21)  -----------------------------------------------------
+--R                                   5
+--R                                          Type: Union(Expression Integer,...)
+--E 21 
+
+--S 22 of 22 
+i22:= integrate((x^3+1)/(x+1),x)
+--R 
+--R
+--R           3     2
+--R         2x  - 3x  + 6x
+--R   (22)  --------------
+--R                6
+--R                                          Type: Union(Expression Integer,...)
+--E 22 
+
+--S 23 of 23 
+i23:= integrate((1-4*x^4)^(-1/2)/(4*x)^(-1),x)
+--R 
+--R
+--R                  +---------+
+--R                  |    4
+--R                 \|- 4x  + 1  - 1
+--R   (23)  - 2atan(----------------)
+--R                          2
+--R                        2x
+--R                                          Type: Union(Expression Integer,...)
+--E 23 
+
+--S 24 of 24 
+i24:= integrate(%e^(1991),x)
+--R 
+--R
+--R             1991
+--R   (24)  x %e
+--R                                          Type: Union(Expression Integer,...)
+--E 24 
+
+--S 25 of 25 
+i25:= integrate((log(x)+1)*x^x,x)
+--R 
+--R
+--R           x log(x)
+--R   (25)  %e
+--R                                          Type: Union(Expression Integer,...)
+--E 25 
+
+--S 26 of 26 
+i26:= integrate(cos(2*x)*sin(6*x),x)
+--R 
+--R
+--R                   4          2
+--R         - 2cos(2x)  + cos(2x)
+--R   (26)  ----------------------
+--R                    4
+--R                                          Type: Union(Expression Integer,...)
+--E 26 
+
+--S 27 of 27 
+i27:= integrate(1/(sqrt(x)*(1+sqrt(x))),x)
+--R 
+--R
+--R               +-+
+--R   (27)  2log(\|x  + 1)
+--R                                          Type: Union(Expression Integer,...)
+--E 27 
+
+--S 28 of 28 
+i28:= integrate(e^(1/x)*x^(-3),x)
+--R 
+--R
+--R                         log(e)
+--R                         ------
+--R                            x
+--R         (- log(e) + x)%e
+--R   (28)  ----------------------
+--R                        2
+--R                x log(e)
+--R                                          Type: Union(Expression Integer,...)
+--E 28 
+
+--S 29 of 29 
+i29:= integrate(sqrt(csc(x)-sin(x)),x)
+--R 
+--R
+--R                         +--------------------------------+
+--R                         |         - 16cos(x) + 16
+--R   (29)  (- cos(x) - 1)  |--------------------------------
+--R                        4|      3          2
+--R                        \|cos(x)  + 3cos(x)  + 3cos(x) + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 29 
+
+--S 30 of 30 
+i30:= integrate((x^2+1)/(x^3-x),x)
+--R 
+--R
+--R              2
+--R   (30)  log(x  - 1) - log(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 30 
+
+--S 31 of 31 
+i31:= integrate(42^x,x)
+--R 
+--R
+--R           x log(42)
+--R         %e
+--R   (31)  -----------
+--R           log(42)
+--R                                          Type: Union(Expression Integer,...)
+--E 31 
+
+--S 32 of 32 
+i32:= integrate(x^5*%e^x,x)
+--R 
+--R
+--R           5     4      3      2                x
+--R   (32)  (x  - 5x  + 20x  - 60x  + 120x - 120)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 32 
+
+--S 33 of 33 
+i33:= integrate(x*%e^(x^2),x)
+--R 
+--R
+--R            2
+--R           x
+--R         %e
+--R   (33)  ----
+--R           2
+--R                                          Type: Union(Expression Integer,...)
+--E 33 
+
+--S 34 of 34 
+i34:= integrate(1/(x^2+1)^2,x)
+--R 
+--R
+--R           2
+--R         (x  + 1)atan(x) + x
+--R   (34)  -------------------
+--R                 2
+--R               2x  + 2
+--R                                          Type: Union(Expression Integer,...)
+--E 34 
+
+--S 35 of 35 
+i35:= integrate(1/(%e^x+%e^(-x)),x)
+--R 
+--R
+--R                x
+--R   (35)  atan(%e )
+--R                                          Type: Union(Expression Integer,...)
+--E 35 
+
+--S 36 of 36 
+i36:= integrate(tan(x)*log(abs(sec(x))),x)
+--R 
+--R
+--R              +-------+ 2
+--R              |   1
+--R         log( |------- )
+--R              |      2
+--R             \|cos(x)
+--R   (36)  ----------------
+--R                 2
+--R                                          Type: Union(Expression Integer,...)
+--E 36 
+
+--S 37 of 37 
+i37:= integrate(cos(sin(x))*cos(x),x)
+--R 
+--R
+--R   (37)  sin(sin(x))
+--R                                          Type: Union(Expression Integer,...)
+--E 37 
+
+--S 38 of 38 
+i38:= integrate(1/(x^2-9),x)
+--R 
+--R
+--R         - log(x + 3) + log(x - 3)
+--R   (38)  -------------------------
+--R                     6
+--R                                          Type: Union(Expression Integer,...)
+--E 38 
+
+--S 39 of 39 
+i39:= integrate(%pi/sqrt(16-%e^2),x)
+--R 
+--R
+--R             %pi x
+--R   (39)  -------------
+--R          +----------+
+--R          |    2
+--R         \|- %e  + 16
+--R                                          Type: Union(Expression Integer,...)
+--E 39 
+
+--S 40 of 40 
+i40:= integrate(sqrt(tan(x)),x)
+--R 
+--R
+--R   (40)
+--R          +-+
+--R         \|2
+--R      *
+--R                                                  +------+
+--R                  +-+                 +-+      2  |sin(x)
+--R         log((- 2\|2 cos(x)sin(x) - 2\|2 cos(x) ) |------  + 4cos(x)sin(x) + 1)
+--R                                                 \|cos(x)
+--R     + 
+--R                              +------+
+--R                              |sin(x)     +-+                +-+      2    +-+
+--R                2cos(x)sin(x) |------  - \|2 cos(x)sin(x) + \|2 cos(x)  - \|2
+--R        +-+                  \|cos(x)
+--R       \|2 atan(--------------------------------------------------------------)
+--R                               +------+
+--R                             2 |sin(x)     +-+                +-+      2
+--R                      2cos(x)  |------  - \|2 cos(x)sin(x) - \|2 cos(x)
+--R                              \|cos(x)
+--R     + 
+--R       -
+--R             +-+
+--R            \|2
+--R         *
+--R                             +------+
+--R                             |sin(x)      +-+                 +-+      2    +-+
+--R               4cos(x)sin(x) |------  - 2\|2 cos(x)sin(x) + 2\|2 cos(x)  - \|2
+--R                            \|cos(x)
+--R          atan(----------------------------------------------------------------)
+--R                           +------+
+--R                         2 |sin(x)      +-+                 +-+      2    +-+
+--R                  4cos(x)  |------  - 2\|2 cos(x)sin(x) - 2\|2 cos(x)  + \|2
+--R                          \|cos(x)
+--R     + 
+--R                                 +------+
+--R                                 |sin(x)     +-+                +-+      2
+--R                   2cos(x)sin(x) |------  - \|2 cos(x)sin(x) + \|2 cos(x)
+--R          +-+                   \|cos(x)
+--R       - \|2 atan(---------------------------------------------------------)
+--R                           +------+
+--R                         2 |sin(x)     +-+                +-+      2    +-+
+--R                  2cos(x)  |------  - \|2 cos(x)sin(x) - \|2 cos(x)  + \|2
+--R                          \|cos(x)
+--R  /
+--R     4
+--R                                          Type: Union(Expression Integer,...)
+--E 40 
+
+--S 41 of 41 
+i41:= integrate(sin(x)^(-1),x)
+--R 
+--R
+--R               sin(x)
+--R   (41)  log(----------)
+--R             cos(x) + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 41 
+
+--S 42 of 42 
+i42:= integrate((x^2-2*x+2)/(x^2+1),x)
+--R 
+--R
+--R                2
+--R   (42)  - log(x  + 1) + atan(x) + x
+--R                                          Type: Union(Expression Integer,...)
+--E 42 
+
+--S 43 of 43 
+i43:= integrate((sin(x)^2*cos(x)^2)/(1+cos(2*x)),x)
+--R 
+--R
+--R         - cos(x)sin(x) + x
+--R   (43)  ------------------
+--R                  4
+--R                                          Type: Union(Expression Integer,...)
+--E 43 
+
+--S 44 of 44 
+i44:= integrate(sqrt(x+x^2*sqrt(x)),x)
+--R 
+--R
+--R                       +----------+
+--R            +-+     2  | 2 +-+
+--R         (4\|x  + 4x )\|x \|x  + x
+--R   (44)  --------------------------
+--R                     9x
+--R                                          Type: Union(Expression Integer,...)
+--E 44 
+
+--S 45 of 45 
+i45:= integrate(cos(4*x)*cos(2*x),x)
+--R 
+--R
+--R                  2
+--R         (2cos(2x)  + 1)sin(2x)
+--R   (45)  ----------------------
+--R                    6
+--R                                          Type: Union(Expression Integer,...)
+--E 45 
+
+--S 46 of 46 
+i46:= integrate(sqrt(x^3-1)/x,x)
+--R 
+--R
+--R                  +------+      +------+
+--R                  | 3           | 3
+--R         - 2atan(\|x  - 1 ) + 2\|x  - 1
+--R   (46)  -------------------------------
+--R                        3
+--R                                          Type: Union(Expression Integer,...)
+--E 46 
+
+--S 47 of 47 
+i47:= integrate((%e^x*(x-2))/x^3,x)
+--R 
+--R
+--R           x
+--R         %e
+--R   (47)  ---
+--R           2
+--R          x
+--R                                          Type: Union(Expression Integer,...)
+--E 47 
+
+--S 48 of 48 
+i48:= integrate(cot(x)/log(sin(x)),x)
+--R 
+--R
+--R   (48)  log(log(sin(x)))
+--R                                          Type: Union(Expression Integer,...)
+--E 48 
+
+--S 49 of 49 
+i49:= integrate(x*sec(x)^2,x)
+--R 
+--R
+--R                          2                      2cos(x)
+--R         - cos(x)log(----------) + cos(x)log(- ----------) + x sin(x)
+--R                     cos(x) + 1                cos(x) + 1
+--R   (49)  ------------------------------------------------------------
+--R                                    cos(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 49 
+
+--S 50 of 50 
+i50:= integrate(x*sec(x)*(x*tan(x)+2),x)
+--R 
+--R
+--R            2
+--R           x
+--R   (50)  ------
+--R         cos(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 50 
+)spool
+)lisp (bye)
+ 
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Zwillinger, Daniel, ``Handbook of Integration'', 
+Jones and Bartlett, Boston 1992 ISBN 0-86720-293-9 pp28-29
+\end{thebibliography}
+\end{document}
+
+ 
